Bug 35136 - "Reset Page Numbering after title pages" option does not work
Summary: "Reset Page Numbering after title pages" option does not work
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86 (IA32) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Fields-Page-Number
  Show dependency treegraph
 
Reported: 2011-03-09 02:25 UTC by Runspect
Modified: 2020-06-28 03:35 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Test (12.97 KB, application/vnd.oasis.opendocument.text)
2011-03-09 02:26 UTC, Runspect
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Runspect 2011-03-09 02:25:59 UTC
1- I reset the page numbering after my title page and works. The second page is set to number "1".

2.- I save the document.

3.- When the document is reopened, the second page has the page number as "2". So the first step is missing.

Please, check the attached document.
Comment 1 Runspect 2011-03-09 02:26:59 UTC
Created attachment 44265 [details]
Test
Comment 2 Don't use this account, use tml@iki.fi 2011-03-09 02:45:23 UTC
For Cédric?
Comment 3 Rainer Bielefeld Retired 2011-03-20 06:18:26 UTC
I see the effect in reporter's sample document, but NOT reproducible with "LibreOffice 3.3.2RC2  – WIN7  Home Premium  (64bit) German UI [OOO330m19 (Build:202 / tag 3.3.2.2)]" and my own sample documents.

@Runspect:
Please contribute a step by step instruction how to reproduce the problem from the scratch.
Comment 4 Runspect 2011-03-21 14:53:01 UTC
(In reply to comment #3)
> I see the effect in reporter's sample document, but NOT reproducible with
> "LibreOffice 3.3.2RC2  – WIN7  Home Premium  (64bit) German UI [OOO330m19
> (Build:202 / tag 3.3.2.2)]" and my own sample documents.
> 
> @Runspect:
> Please contribute a step by step instruction how to reproduce the problem from
> the scratch.

Ok, let's go (with version 3.3.1):

1.- Create a new document.
2.- Insert a "Manual Break" to create two pages.
3.- Insert the field "Page number" into the second page. The number of the page should be "2".
4.- In the first page -> open a "Page Title" window -> check the "Reset Page Numbering after title pages" option and put "1" in the "Page number" box for that option.
5.- The second page now has "1" as page number. It's OK. Nothing wrong.
6.- Save the document and reopen.
7.- Now try to revert. In the first page -> open the "Page Title" window -> UNCHECK "Reset Page Numbering after title pages". It does not work! Still the second page shows "1".

:-(
Comment 5 Rainer Bielefeld Retired 2011-03-29 22:26:12 UTC
[Reproducible], my results with "LibreOffice 3.3.2  – WIN7  Home Premium  (64bit) English UI [OOO330m19 (Build:202 / tag 3.3.2.2)]": 

1. Open New Document
2. Menu 'Insert > Manual Break > Page Break'
   second page appears
3. 'Insert > fields > Page No'
   Field apears, shows "2"
4. Click  on page 1
5. 'Format > Title Page > Page Numbering: Convert existing Page,  
   Check "Reset Page Numbering", Page No. 1
   Check "Set Page No for first title page", Page No 1
   <ok>
   as expected page number display on second page has switched from 2 to 1 
6. Save, Close, Reopen
7. 'Format > Title Page > Page Numbering: Convert existing Page,  
   UNcheck "Reset Page Numbering"
   <ok>
   expected: No Display second page switches bakc t "2"
   actual: no change

You can leave away step 6, I would expect that it should always be possible to modify new start No for second page.
Comment 6 Runspect 2011-06-09 12:50:24 UTC
Still the bug in 3.4.0

Salu2.
Comment 7 Thomas Arnhold 2011-06-27 12:35:20 UTC
Same with 3.4.1rc3 and git master (20110626).
Comment 8 A (Andy) 2013-04-27 12:21:15 UTC
reproducible with LO 4.0.2.2 (Win7 Home, 64bit)

in addition, I see the bug mentioned in the bug report 52316 (before saving the file the page numbering of the second page shows "Page 1 of 3" and after saving and reopening the file it shows "Page 2 of 2")
Comment 9 Alexander Wilms 2014-01-30 00:43:01 UTC
Reproducible with

Version: 4.3.0.0.alpha0+
Build ID: cb64711136fff661f60d679db1e391866cc6fe10
Comment 10 hmgoossen 2014-07-15 22:48:36 UTC
Reproducible with:

Version: 4.2.4.2
Build ID: 63150712c6d317d27ce2db16eb94c2f3d7b699f8
OS: Windows 8.1 (64-bit)
Comment 11 Matthew Francis 2015-04-11 05:31:44 UTC
This has always been the case since LO / OOo 3.3.0.

Not sure there is even a solution for this. As far as ODF is concerned there doesn't seem to be such a thing as a "title page", the dialog is just a convenient way to insert pages with a particular style at the start of the document. It even allows you to select page styles other than "First Page", so if you do, how could using the dialog to change the numbering afterwards possibly work? There's no way to definitively identify the correct page(s).

-> Version: Inherited from OOo
-> Platform: All
Comment 12 tommy27 2016-04-16 07:24:55 UTC Comment hidden (obsolete)
Comment 13 Zenaan Harkness 2016-08-29 09:59:40 UTC
Matthew (comment #11), I understand what you are saying.

However, the implied bug here is that there ought be an intuitive way to "undo" the "reset page numbering" for "actual page 2" (which has been changed to 'reset page number' to begin at 1).

For example, although this may be difficult/ impossible from the:
Format -> Title page...
dialog, I would have thought that this undo feature --would-- be available from the:
Format -> Page...
dialog, at the very least - perhaps on the Page tab or the Footer tab. But it does not appear there.

- selecting and Right-clicking the page number field added to the footer, also does not present an alternative to undo this "reset page numbering"

- trying to re-apply the second page 'page style' (in my test document case, "Default Style" by putting cursor on page 2 and double clicking the "Default Style" page style does not reset the page number to 2

- right-clicking on page style "Default Style" to try to under the "reset page number" of the manual page break also does not provide such an undo option.

- clicking the pilcrow ("paragraph marker" symbol) in the toolbar does not show any "page break" symbol that could be selected and right-clicked

What -does- work though was my final test:
- navigate cursor to start of page 2
- press BACKSPACE once (removing the existing page break)
- now re-insert a new Insert -> Manual break..., choose appropriate style, and (obviously) do not choose "Change page number"

This may not be obvious to newcomers.

Perhaps this bug should be marked as something like:
UI "Format -> Page..." dialog should provide an option somewhere to undo "Change page number" if that was applied in the Manual break... dialog.
Comment 14 Zenaan Harkness 2016-08-29 10:00:36 UTC
Oh, BTW, my tests today were in LO5.3.0alpha. So still current fwiw.
Comment 15 QA Administrators 2018-06-28 02:47:26 UTC Comment hidden (obsolete)
Comment 16 QA Administrators 2020-06-28 03:35:56 UTC
Dear Runspect,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug